seqToIntervals {R.utils} | R Documentation

## Gets all contigous intervals of a vector of indices

### Description

Gets all contigous intervals of a vector of indices.

### Usage

    ## Default S3 method:
    seqToIntervals(idx, ...)

### Arguments

`idx` | A `vector` of N `integer` indices.
`...` | Not used.

### Value

An Nx2 `integer` `matrix`.

### Author(s)

Henrik Bengtsson

### See Also

`*intervalsToSeq()`. To identify sequences of equal values, see `rle`().

### Examples

    x <- 1:10
    y <- seqToIntervals(x)
    print(y)  # [1 10]

    x <- c(1:10, 15:18, 20)
    y <- seqToIntervals(x)
    print(y)  # [1 10; 15 18; 20 20]

    z <- intervalsToSeq(y)
    print(z)
    stopifnot(all.equal(x,z))

[Package R.utils version 2.6.0 Index]